// Plant class with its subclasses
public class Plant extends Creature implements Reproduction {
    @Override
    String eatFood() {
        return "sunlight (aka photosynthesis)";
    }

    @Override
    public String modeOfReproduction() {
        return "Seeds";   // The method returns string specified
    }
}

class Rose extends Plant {
    @Override
    public String toString() {
        return "Rose: " + eatFood() + ", " + modeOfReproduction() + ", admired for its beauty and fragrance.";
    }
}

class Oak extends Plant {
    @Override
    public String toString() {
        return "Oak: " + eatFood() + ", " + modeOfReproduction() + ", represents strength and endurance.";
    }
}