// Animal class with its subclasses
public class Animal extends Creature implements Reproduction {
    @Override   // overriding a method of superclass
    String eatFood() {
        return "ingestion";
    }

    @Override
    public String modeOfReproduction() {
        return "Sexual Reproduction";
    }
}

class Wolf extends Animal {
    @Override
    public String toString() {
        return "Wolf: " + eatFood() + ", " + modeOfReproduction() + ", known for its pack hunting.";
    }
}

class Eagle extends Animal {
    @Override
    public String toString() {
        return "Eagle: " + eatFood() + ", " + modeOfReproduction() + ", symbol of freedom and strength.";
    }
}
