// Fungi class with its subclasses
public class Fungi extends Creature implements Reproduction {
    @Override
    String eatFood() {
        return "external digestion with hyphae";
    }

    @Override
    public String modeOfReproduction() {
        return "Spores";
    }
}

class Mushroom extends Fungi {
    @Override
    public String toString() { //method/function to represent an object as a string
        return "Mushroom: " + eatFood() + ", " + modeOfReproduction() + ", thrives in moist environments.";
    }
}

class Mold extends Fungi {
    @Override
    public String toString() { 
        return "Mold: " + eatFood() + ", " + modeOfReproduction() + ", often found on expired food.";
    }
}