import java.util.ArrayList;
import java.util.List;

// Abstract clas
abstract class Creature {
    abstract String eatFood();
}

// interface
interface Reproduction {
    String modeOfReproduction();
}

// Main class to demonstrate the implementation
public class Main {
    public static void main(String[] args) {
        // Create lists for each type of creature
        List<Animal> animals = new ArrayList<>();
        List<Plant> plants = new ArrayList<>();
        List<Fungi> fungi = new ArrayList<>();

        // Add instances to the lists
        animals.add(new Wolf());
        animals.add(new Eagle());
        plants.add(new Rose());
        plants.add(new Oak());
        fungi.add(new Mushroom());
        fungi.add(new Mold());

        // Print the lists using the overridden toString methods
        System.out.println("Animals:");
        for (Animal animal : animals) { // Loop through all the list and print out all the animals respectively
            System.out.println(animal);
        }

        System.out.println("\nPlants:");
        for (Plant plant : plants) {
            System.out.println(plant);
        }

        System.out.println("\nFungi:");
        for (Fungi fungus : fungi) {
            System.out.println(fungus);
        }
    }
}
